Retrieve file
curl --request GET \
--url https://api.novita.ai/openai/v1/files/{file_id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/openai/v1/files/{file_id}"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/openai/v1/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"bytes": 123,
"filename": "<string>",
"created_at": 123,
"expires_at": 123,
"purpose": "<string>",
"metadata": {
"total_requests": 123
}
}Batch
Retrieve file
GET
/
openai
/
v1
/
files
/
{file_id}
Retrieve file
Retrieves information about a specific file using its file ID.
Request Headers
string
requis
Enum:
application/jsonstring
requis
Bearer authentication format, for example: Bearer {{API Key}}.
Path Parameters
string
requis
The unique identifier of the file to retrieve information for.
Response
string
requis
The unique identifier of the file.
string
requis
The object type, which is always
file.integer
requis
The size of the file in bytes.
string
requis
The name of the file.
integer
requis
The Unix timestamp (in seconds) when the file was created.
integer
The Unix timestamp (in seconds) when the file will expire. Only present for output files.
string
requis
The purpose of the file.Available purposes:
batch- Input file for batch processingbatch_output- Output file from batch processing
Dernière modification le 15 mai 2026